import type { SynthEngine } from './base/SynthEngine';
import { FourOpFM } from './FourOpFM';
import { TwoOpFM } from './TwoOpFM';
import { PhaseDistortionFM } from './PhaseDistortionFM';
import { FormantFM } from './FormantFM';
import { DubSiren } from './DubSiren';
import { Benjolin } from './Benjolin';
import { ZzfxEngine } from './ZzfxEngine';
import { NoiseDrum } from './NoiseDrum';
import { Ring } from './Ring';
import { Sample } from './Sample';
import { Input } from './Input';
import { KarplusStrong } from './KarplusStrong';
import { AdditiveEngine } from './AdditiveEngine';
import { Snare } from './Snare';
import { BassDrum } from './BassDrum';
import { HiHat } from './HiHat';
import { ParticleNoise } from './ParticleNoise';
import { DustNoise } from './DustNoise';
import { SubtractiveThreeOsc } from './SubtractiveThreeOsc';
import { MassiveAdditive } from './MassiveAdditive';
import { FormantPopDrum } from './FormantPopDrum';
import { TechnoKick } from './TechnoKick';
import { FMTomTom } from './FMTomTom';
import { RingCymbal } from './RingCymbal';
import { AdditiveBass } from './AdditiveBass';
import { FeedbackSnare } from './FeedbackSnare';
import { CombResonator } from './CombResonator';
import { LaserSweep } from './LaserSweep';
import { Dripwater } from './Dripwater';
import { Sub8 } from './Sub8';
import { Form1 } from './Form1';
import { Squine1 } from './Squine1';

export const engines: SynthEngine[] = [
  new Sample(),
  new Input(),
  new FourOpFM(),
  new TwoOpFM(),
  new PhaseDistortionFM(),
  new FormantFM(),
  new DubSiren(),
  new Benjolin(),
  new ZzfxEngine(),
  new NoiseDrum(),
  new Snare(),
  new BassDrum(),
  new HiHat(),
  new FormantPopDrum(),
  new TechnoKick(),
  new FMTomTom(),
  new RingCymbal(),
  new AdditiveBass(),
  new FeedbackSnare(),
  new Ring(),
  new KarplusStrong(),
  new AdditiveEngine(),
  new ParticleNoise(),
  new DustNoise(),
  new SubtractiveThreeOsc(),
  new CombResonator(),
  new MassiveAdditive(),
  new LaserSweep(),
  new Dripwater(),
  new Sub8(),
  new Form1(),
  new Squine1(),
];
